<?php
// public/index.php

session_start();

require_once '../config/db.php';
require_once '../controllers/AttendanceController.php';

$controller = new AttendanceController($pdo);

if (!isset($_SESSION['admin_logged_in'])) {
    if ($_GET['action'] ?? '' === 'logout') {
        $controller->logout();
    } else {
        $controller->login();
    }
    exit;
}

$action = $_GET['action'] ?? 'form';

switch ($action) {
    case 'submit':
        $controller->submitAttendance();
        break;
    case 'list':
        $controller->showAttendanceList();
        break;
    case 'monthly_report':
        $controller->showMonthlyReport();
        break;
    case 'best_staff':
        $controller->showBestStaff();
        break;
    case 'download_monthly_pdf':
        $controller->downloadMonthlyPDF();
        break;
    case 'download_best_staff_pdf':
        $controller->downloadBestStaffPDF();
        break;
    case 'logout':
        $controller->logout();
        break;
    default:
        $controller->showForm();
}
?>